Subject: Re: [PATCH 04/14] packed-graph: add format document

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Jan 2018 14:29:33 -0800

Stefan Beller <[email-masked]> writes:

> The downside of just having one parent or pointer into the edge list
> would be to penalize 25% of the commit lookups with an indirection
> compared to ~0% (the 35 octopus'). I'd rather want to optimize for
> speed than disk size? (4 bytes for 37k is 145kB for git.git, which I
> find is not a lot).

My comment is not about disk size but is about the size of working
set (or "size of array element").